%define debug_package %{nil}
%define	py_setup	setup.py

%global         with_python2 0

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%else
%global         with_python3 0
%endif

%if 0%{?centos} == 7
%define python3_pkgversion 36
%endif

Summary:	dtfabric - Manage data types and structures in libyal projects
Packager:	Lawrence R. Rogers (lrr@cert.org)
Vendor:		cert.org
Name:		dtfabric
Version:	20200621
Release:	1%{?dist}

License:	ASL 2.0

Group:		Applications
Source:		%{name}-%{version}.tar.gz
URL:		https://github.com/libyal/dtfabric/wiki

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}

%description
dtfabric is a project to manage data types and structures, as used in the libyal projects.

%if 0%{?with_python2}
%package -n python2-%{name}
Summary:	Data type fabric (dtfabric)
Obsoletes:	python-dtfabric < %{version}
Obsoletes:	dtfabric < %{version}
Provides:	dtfabric = %{version}
Provides:	python-dtfabric = %{version}
%if 0%{?fedora} <= 27
Requires:	PyYAML >= 3.10
%endif
%if 0%{?fedora} >= 28
Requires:	python2-pyyaml >= 3.10
%endif
BuildRequires:	python2-setuptools, python2-devel

%description -n python2-%{name}
dtFabric, or data type fabric, is a project to manage data types and structures, as used in the libyal projects.
%endif

%if 0%{?with_python3}
%package -n python%{python3_pkgversion}-%{name}
Summary: Data type fabric (dtfabric)
%if 0%{?fedora} <= 27
Requires:	python%{python3_pkgversion}-PyYAML >= 3.10
%endif
%if 0%{?fedora} >= 28
Requires:	python%{python3_pkgversion}-pyyaml >= 3.10
%endif
BuildRequires:	python%{python3_pkgversion}
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-setuptools
%if ! 0%{?with_python2}
Obsoletes:	python2-%{name}
%endif

%description -n python%{python3_pkgversion}-%{name}
dtFabric, or data type fabric, is a project to manage data types and structures, as used in the libyal projects.
%endif

%prep
%autosetup -n %{name}-%{version}

%build
%if 0%{?with_python2}
%py2_build
%endif
%if 0%{?with_python3}
%py3_build
%endif

%install
%if 0%{?with_python2}
%py2_install
%endif
%if 0%{?with_python3}
%py3_install
%endif
rm -rf %{buildroot}/usr/share/doc/%{name}/

%clean
%{__rm} -rf %{buildroot}

%if 0%{?with_python2}
%files -n python2-%{name}
%license LICENSE
%doc README
%{python2_sitelib}/dtfabric
%{python2_sitelib}/dtfabric*.egg-info
%endif

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{name}
%license LICENSE
%doc README
%{python3_sitelib}/dtfabric
%{python3_sitelib}/dtfabric*.egg-info
%endif

%exclude %{_bindir}/*

%changelog
* Sun Jun 21 2020 Lawrence R. Rogers <lrr@cert.org> 20200621-1
* Release 20200621-1
	Version 20200621

* Tue Feb  4 2020 Lawrence R. Rogers <lrr@cert.org> 20200119-2
* Release 20200119-2
	Python3 package obsoletes Python2 package

* Sun Jan 19 2020 Lawrence R. Rogers <lrr@cert.org> 20200119-1
* Release 20200119-1
	Version 20200119-1
	Python 2 is now optional and off by default.

* Sun May 19 2019 Lawrence R. Rogers <lrr@cert.org> 20190120-3
* Release 20190120-3
	Version 20190120-3: Uses python3_pkgversion for the current version of Python 3.

* Fri Jan 25 2019 Lawrence R. Rogers <lrr@cert.org> 20190120-2
* Release 20190120-2
	Added python 3 support

* Sun Jan 20 2019 Lawrence R. Rogers <lrr@cert.org> 20190120-1
* Release 20190120-1
	Version 20190120

* Wed Nov 28 2018 Lawrence R. Rogers <lrr@cert.org> 20181128-1
* Release 20181128-1
	Version 20181128

* Sat Nov  3 2018 Lawrence R. Rogers <lrr@cert.org> 20181103-1
* Release 20181103-1
	Version 20181103

* Wed Aug  8 2018 Lawrence R. Rogers <lrr@cert.org> 20180808-1
* Release 20180808-1
	Version 20180808

* Sat Jul  7 2018 Lawrence R. Rogers <lrr@cert.org> 20180707-1
* Release 20180707-1
	Version 20180707

* Mon Jun  4 2018 Lawrence R. Rogers <lrr@cert.org> 20180604-1
* Release 20180604-1
	Version 20180604

* Tue May 22 2018 Lawrence R. Rogers <lrr@cert.org> 20180522-1
* Release 20180522-1
	Version 20180522

* Mon May 21 2018 Lawrence R. Rogers <lrr@cert.org> 20180521-1
* Release 20180521-1
	Version 20180521

* Mon Mar 26 2018 Lawrence R. Rogers <lrr@cert.org> 20180325-1
* Release 20180325-1
	Version 20180325

* Fri Jun 30 2017 Lawrence R. Rogers <lrr@cert.org> 20170630-1
* Release 20170630-1
	Version 20170630

